#ifndef __PLAYER_VEHICLE_H__INCLUDED__
#define __PLAYER_VEHICLE_H__INCLUDED__

#include "Vehicle.h"


class Simulation;


class PlayerVehicle	:	public Vehicle
{
protected:
	Simulation	*pSimulation;


public:
	inline PlayerVehicle(	const string &strModel,
							const float &_fMaxEnginePower = 10.0f,
							const float &_fMaxArmour = 2000.0f		) :
		Vehicle(strModel, _fMaxEnginePower, _fMaxArmour)
	{	type(c_vehicle, player, NULL);	}


	virtual void	onTargetDestroyed(const Vehicle *pTarget);
};


#endif