#ifndef __FRAMEWORK__TYPES_H__INCLUDED__
#define __FRAMEWORK__TYPES_H__INCLUDED__

#include "framework.h"


FRAMEWORK_BEGIN


#ifdef _WINDOWS
	typedef signed __int8		int8_t;
	typedef signed __int16		int16_t;
	typedef signed __int32		int32_t;
	typedef signed __int64		int64_t;
	typedef unsigned __int8		uint8_t;
	typedef unsigned __int16	uint16_t;
	typedef unsigned __int32	uint32_t;
	typedef unsigned __int64	uint64_t;
#else
	#include <inttypes.h>
#endif

typedef signed int		int_t;
typedef unsigned int	uint_t;

typedef	uint8_t			BOOL;
#define	FALSE			0
#define	TRUE			1


FRAMEWORK_END
#endif
