#ifndef __GRAPHICS__GROUP3_H__INCLUDED__
#define __GRAPHICS__GROUP3_H__INCLUDED__

#include <list>
#include <set>

#include "_Group.h"
#include "Object3.h"


GRAPHICS_BEGIN


class Group3 :	public _Group<_Object3, _Object3>
{
public:
	typedef	_Group<_Object3, _Object3>	_Base;


	inline Group3(	const bool _bCanCollide = false,
					const bool _bApplyLocalTransform = false	) :
		_Base(_bApplyLocalTransform)
	{	bCanCollide = _bCanCollide;	}
		

	// insert (visible) children into the render map
	virtual void	glGetAll(RenderMap &rm, const Vector &vCameraPosition);
	virtual void	glGetVisible(RenderMap &rm, Camera *pCamera, const Vector &vCameraPosition);
};


GRAPHICS_END
#endif
