#ifndef __GRAPHICS__SDL_TIMER_H__INCLUDED__
#define __GRAPHICS__SDL_TIMER_H__INCLUDED__

#include "_SDLTimerBase.h"
#include "_SDLThreadBase.h"


GRAPHICS_BEGIN


uint32_t	_SDLThreadedTimer_run(uint32_t nTimeMs, void *_pTimer);


class SDLThreadedTimer :	public _SDLThreadBase, public _SDLTimerBase
{
protected:
	bool		bContinue;
	uint32_t	nTimeMs;

	virtual int_t	_run();

public:
	SDLThreadedTimer();
	virtual ~SDLThreadedTimer();

	virtual void	cancel();

	inline void		setInterval(uint32_t nMs)
	{	_setInterval(nMs, _SDLThreadedTimer_run, this);	}

	friend uint32_t _SDLThreadedTimer_run(uint32_t nTimeMs, void *_pTimer);
};


GRAPHICS_END
#endif
