#ifndef __GRAPHICS__SDL_TIMER_H__INCLUDED__
#define __GRAPHICS__SDL_TIMER_H__INCLUDED__

#include "_SDLTimerBase.h"


GRAPHICS_BEGIN


uint32_t	_SDLTimer_run(uint32_t nTimeMs, void *_pTimer);


class SDLTimer :	public _SDLTimerBase
{
public:
	inline SDLTimer() :	_SDLTimerBase()
	{	/* nothing to do */	}

	inline void		setInterval(uint32_t nMs)
	{	_setInterval(nMs, _SDLTimer_run, this);	}

	friend uint32_t _SDLTimer_run(uint32_t nTimeMs, void *_pTimer);
};


GRAPHICS_END
#endif
