#ifndef __GRAPHICS___FREETYPE_CHARACTER_H__INCLUDED__
#define __GRAPHICS___FREETYPE_CHARACTER_H__INCLUDED__

#include <framework/types.h>

#include "graphics.h"


GRAPHICS_BEGIN


struct _Freetype_Character	// stores information needed for printing a character
{
	uint_t	nWidth,			// the character's width
			nHeight;		// the character's height
	int_t	nLeft,			// the left padding (before the bitmap's left edge)
			nTop,			// the top padding (before the bitmap's top edge)
			nTextureLeft,	// the x coordinate of the character in the texture
			nAdvanceX;		// specifies how much to move right after printing the character
};


GRAPHICS_END
#endif
