#include <framework/Error.h>

#ifdef _WINDOWS
#include <framework/_windows.h>
#endif


FRAMEWORK_BEGIN


void Error::report() const
{
#if defined(_WINDOWS)
		MessageBox(NULL, what(), "Runtime Error", MB_ICONERROR);
#else
		cerr << "Runtime Error: " << what() << endl;
#endif
}


FRAMEWORK_END
