#ifndef __GRAPHICS__SDL_EXCEPTION_H__INCLUDED__
#define __GRAPHICS__SDL_EXCEPTION_H__INCLUDED__

#include <SDL_error.h>

#include <framework/Exception.h>

#include "graphics.h"

#define	getLastSDLError()\
	(std::string(__FUNCTION__) + ": " + SDL_GetError())
#define	getLastSDLErrorMessage(message)\
	(std::string(__FUNCTION__) + ": " + message + ": " + SDL_GetError())


GRAPHICS_BEGIN


DEFINE_ERROR(SDLError, "SDL Error");
DEFINE_EXCEPTION(SDLException, Exception, "SDL Exception");


GRAPHICS_END
#endif
