#include <graphics/Scene.h>


GRAPHICS_BEGIN


void Object::spawn(_Object2 *pObject)
{
	pObject->deleteOnRemove(true);
	pObject->scene(pScene);
	pScene->add(pObject);
}

void Object::spawn(_Object3 *pObject)
{
	if(pObject)
	{
		pObject->deleteOnRemove(true);
		pObject->scene(pScene);
		pScene->add(pObject);
	}
}


void Object::updateFinal()
{	tmFinal = ptmParent ? (*ptmParent) * tmLocal : tmLocal;	}

bool Object::advance(float time)
{	return true;	}


void Object::glUpdate()
{	tmGL = tmFinal;	}


GRAPHICS_END
